.main {
    display: flex;
    flex-direction: column;
}

.main__contact {
    padding: 40px;
    gap: 16px;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    box-sizing: border-box;
}

.main__contact__title {
    text-align: center;
    font-size: var(--fs-1);
    font-weight: 700;
    align-self: center;
    color: var(--content-primary);
}

.main__contact__description {
    text-align: center;
    max-width: 600px;
    font-size: var(--fs-base);
    font-weight: 300;
    margin-top: 16px;
    color: var(--content-primary);
}

.main__contact__contact-info-and-form {
    display: grid;
    grid-template-columns: 1fr;
    justify-content: center;
    gap: 24px;
}

.main__contact__contact-info-and-form__card {
    margin-top: 24px;
    background-color: var(--background-content-primary);
    border-radius: var(--border-radius-1);
    padding: 24px;
    width: 100%;
    max-width: 600px;
}

.main__contact__contact-info-and-form__card__title {
    margin-bottom: 24px;
    color: var(--content-primary);
    font-size: var(--fs-1);
    font-weight: 700;
}

.main__contact__contact-info-and-form__card__list {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.main__contact__contact-info-and-form__card__list__item {
    background-color: var(--background-content-secondary-inverted);
    opacity: 0.8;
    border-radius: var(--border-radius-1);
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 24px;
}

.main__contact__contact-info-and-form__card__list__item__label {
    font-weight: 700;
    font-size: var(--fs-base);
    color: var(--content-primary);
}

.main__contact__contact-info-and-form__contact-info__list__item__value {
    display: flex;
    align-items: center;
    gap: 8px;
    font-size: var(--fs-base);
    font-weight: 300;
    color: var(--content-primary);
}

.main__contact__contact-info-and-form__card__list__item__social-list {
    list-style: none;
    display: flex;
    gap: 16px;
}

.main__contact__contact-info-and-form__card__list__item__social-list__item__link {
    width: 40px;
    height: 40px;
    background: var(--primary-color);
    border-radius: 50%;
    text-decoration: none;

    transition: opacity 0.4s ease;
}

.main__contact__contact-info-and-form__card__list__item__social-list__item__link:hover {
    opacity: 0.6;
}

.main__contact__contact-info-and-form__card__card {
    background-color: var(--background-content-secondary-inverted);
    opacity: 0.8;
    padding: 24px;
    border-radius: var(--border-radius-1);
    width: 100%;
    max-width: 600px;
    margin-top: 24px;
}

.main__contact__contact-info-and-form__card__card__form__list {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 24px;
    margin-bottom: 32px;
}

.main__contact__contact-info-and-form__card__card__list__field {
    display: flex;
    flex-direction: column;
    text-align: left;
}

.main__contact__contact-info-and-form__card__card__list__field__label {
    margin-bottom: 16px;
    font-weight: 600;
    font-size: var(--fs-base);
    color: var(--content-primary);
}

.main__contact__contact-info-and-form__card__card__list__field__input {
    background: var(--background-content-secondary);
    border-radius: var(--border-radius-1);
    padding: 8px 16px;
    color: var(--content-inverted);
    font-family: "Lato", sans-serif;
    font-size: var(--fs-base);
    font-weight: 300;
}

.main__contact__contact-info-and-form__card__card__list__field__textarea {
    background: var(--background-content-secondary);
    border-radius: var(--border-radius-1);
    padding: 8px 16px;
    color: var(--content-primary);
    font-family: "Lato", sans-serif;
    font-size: var(--fs-base);
    font-weight: 300;
    resize: vertical;
}

.main__contact__contact-info-and-form__card__card__list__field__input:focus,
.main__contact__contact-info-and-form__card__card__list__field__textarea:focus {
    outline: none;
    border-color: var(--primary-color);
}

.main__contact__contact-info-and-form__card__card__button {
    align-self: flex-start;
}

@media (min-width: 768px) {
    .main__contact__title {
        font-size: var(--fs-3);
    }

    .main__contact__description {
        font-size: var(--fs-1);
    }

    .main__contact__contact-info-and-form__card__title {
        font-size: var(--fs-2);
    }

    .main__contact__contact-info-and-form__card__list__item__label {
        font-size: var(--fs-1);
    }

    .main__contact__contact-info-and-form__contact-info__list__item__value {
        font-size: var(--fs-1);
    }

    .main__contact__contact-info-and-form__card__title {
        font-size: var(--fs-2);
    }

    .main__contact__contact-info-and-form__card__card__list__field__label {
        font-size: var(--fs-1);
    }

    .main__contact__contact-info-and-form__card__card__list__field__input,
    .main__contact__contact-info-and-form__card__card__list__field__textarea {
        font-size: var(--fs-1);
    }
}

@media (min-width: 1024px) {
    .main__contact__contact-info-and-form {
        grid-template-columns: 1fr 1fr;
        gap: 32px;
    }

    .main__contact__description {
        max-width: 900px;
    }
}